# Ambient temperature

A decision block that checks the ambient temperature using the built-in sensor.

If the proceed option is set to Immediately, then check the current temperature without pausing the fiber. If set to When changed, then the fiber will pause until the temperature comes within the temperature range, or goes out of range.

If both minimum temperature and maximum temperature is set and doesn’t evaluate to `null` then the temperature must be within the range. If only minimum is set, then the temperature must be greater than or equal to it. If only maximum is set, then the temperature must be less than or equal to it. If neither minimum nor maximum is set, then the current temperature is just assigned to the current temperature variable without a check.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Minimum temperature — minimum temperature in Celsius.
- Maximum temperature — maximum temperature in Celsius.

## Output variables

- Current temperature — a variable to assign the current temperature in Celsius.